org.apache.hadoop.yarn.server.api.protocolrecords

## Class NMContainerStatus

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.NMContainerStatus

- Direct Known Subclasses:
    NMContainerStatusPBImpl

      public abstract class NMContainerStatus
      extends Object

  NMContainerStatus includes the current information of a container. This record is used by YARN only, whereas `ContainerStatus` is used both inside YARN and by end-users.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NMContainerStatus()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract org.apache.hadoop.yarn.api.records.Resource` | `getAllocatedResource()` Get the allocated `Resource` of the container.
    `abstract long` | `getAllocationRequestId()`
    `Set<String>` | `getAllocationTags()` Get and set the Allocation tags associated with the container.
    `abstract int` | `getContainerExitStatus()` Get the final `exit status` of the container.
    `abstract org.apache.hadoop.yarn.api.records.ContainerId` | `getContainerId()` Get the `ContainerId` of the container.
    `abstract org.apache.hadoop.yarn.api.records.ContainerState` | `getContainerState()`
    `abstract long` | `getCreationTime()` Get the time when the container is created
    `abstract String` | `getDiagnostics()` Get the DiagnosticsInfo of the container.
    `org.apache.hadoop.yarn.api.records.ExecutionType` | `getExecutionType()` Get the `ExecutionType` of the container.
    `abstract String` | `getNodeLabelExpression()` Get the node-label-expression in the original ResourceRequest
    `abstract org.apache.hadoop.yarn.api.records.Priority` | `getPriority()` Get the `Priority` of the request.
    `int` | `getVersion()`
    `static NMContainerStatus` | `newInstance(org.apache.hadoop.yarn.api.records.ContainerId containerId, int version, org.apache.hadoop.yarn.api.records.ContainerState containerState, org.apache.hadoop.yarn.api.records.Resource allocatedResource, String diagnostics, int containerExitStatus, org.apache.hadoop.yarn.api.records.Priority priority, long creationTime)`
    `static NMContainerStatus` | `newInstance(org.apache.hadoop.yarn.api.records.ContainerId containerId, int version, org.apache.hadoop.yarn.api.records.ContainerState containerState, org.apache.hadoop.yarn.api.records.Resource allocatedResource, String diagnostics, int containerExitStatus, org.apache.hadoop.yarn.api.records.Priority priority, long creationTime, String nodeLabelExpression, org.apache.hadoop.yarn.api.records.ExecutionType executionType, long allocationRequestId)`
    `abstract void` | `setAllocatedResource(org.apache.hadoop.yarn.api.records.Resource resource)`
    `abstract void` | `setAllocationRequestId(long allocationRequestId)` Set the ID corresponding to the original allocation request.
    `void` | `setAllocationTags(Set<String> allocationTags)`
    `abstract void` | `setContainerExitStatus(int containerExitStatus)`
    `abstract void` | `setContainerId(org.apache.hadoop.yarn.api.records.ContainerId containerId)`
    `abstract void` | `setContainerState(org.apache.hadoop.yarn.api.records.ContainerState containerState)`
    `abstract void` | `setCreationTime(long creationTime)`
    `abstract void` | `setDiagnostics(String diagnostics)`
    `void` | `setExecutionType(org.apache.hadoop.yarn.api.records.ExecutionType executionType)`
    `abstract void` | `setNodeLabelExpression(String nodeLabelExpression)`
    `abstract void` | `setPriority(org.apache.hadoop.yarn.api.records.Priority priority)`
    `void` | `setVersion(int version)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NMContainerStatus

          public NMContainerStatus()

  - ### Method Detail

    - #### newInstance

          public static NMContainerStatus newInstance(org.apache.hadoop.yarn.api.records.ContainerId containerId,
                                                      int version,
                                                      org.apache.hadoop.yarn.api.records.ContainerState containerState,
                                                      org.apache.hadoop.yarn.api.records.Resource allocatedResource,
                                                      String diagnostics,
                                                      int containerExitStatus,
                                                      org.apache.hadoop.yarn.api.records.Priority priority,
                                                      long creationTime)

    - #### newInstance

          public static NMContainerStatus newInstance(org.apache.hadoop.yarn.api.records.ContainerId containerId,
                                                      int version,
                                                      org.apache.hadoop.yarn.api.records.ContainerState containerState,
                                                      org.apache.hadoop.yarn.api.records.Resource allocatedResource,
                                                      String diagnostics,
                                                      int containerExitStatus,
                                                      org.apache.hadoop.yarn.api.records.Priority priority,
                                                      long creationTime,
                                                      String nodeLabelExpression,
                                                      org.apache.hadoop.yarn.api.records.ExecutionType executionType,
                                                      long allocationRequestId)

    - #### getContainerId

          public abstract org.apache.hadoop.yarn.api.records.ContainerId getContainerId()

      Get the `ContainerId` of the container.
      Returns:
        `ContainerId` of the container.

    - #### setContainerId

          public abstract void setContainerId(org.apache.hadoop.yarn.api.records.ContainerId containerId)

    - #### getAllocatedResource

          public abstract org.apache.hadoop.yarn.api.records.Resource getAllocatedResource()

      Get the allocated `Resource` of the container.
      Returns:
        allocated `Resource` of the container.

    - #### setAllocatedResource

          public abstract void setAllocatedResource(org.apache.hadoop.yarn.api.records.Resource resource)

    - #### getDiagnostics

          public abstract String getDiagnostics()

      Get the DiagnosticsInfo of the container.
      Returns:
        DiagnosticsInfo of the container

    - #### setDiagnostics

          public abstract void setDiagnostics(String diagnostics)

    - #### getContainerState

          public abstract org.apache.hadoop.yarn.api.records.ContainerState getContainerState()

    - #### setContainerState

          public abstract void setContainerState(org.apache.hadoop.yarn.api.records.ContainerState containerState)

    - #### getContainerExitStatus

          public abstract int getContainerExitStatus()

      Get the final `exit status` of the container.
      Returns:
        final `exit status` of the container.

    - #### setContainerExitStatus

          public abstract void setContainerExitStatus(int containerExitStatus)

    - #### getPriority

          public abstract org.apache.hadoop.yarn.api.records.Priority getPriority()

      Get the `Priority` of the request.
      Returns:
        `Priority` of the request

    - #### setPriority

          public abstract void setPriority(org.apache.hadoop.yarn.api.records.Priority priority)

    - #### getCreationTime

          public abstract long getCreationTime()

      Get the time when the container is created

    - #### setCreationTime

          public abstract void setCreationTime(long creationTime)

    - #### getNodeLabelExpression

          public abstract String getNodeLabelExpression()

      Get the node-label-expression in the original ResourceRequest

    - #### setNodeLabelExpression

          public abstract void setNodeLabelExpression(String nodeLabelExpression)

    - #### getAllocationRequestId

          public abstract long getAllocationRequestId()

      Returns:
        the ID corresponding to the original allocation request.

    - #### setAllocationRequestId

          public abstract void setAllocationRequestId(long allocationRequestId)

      Set the ID corresponding to the original allocation request.
      Parameters:
        `allocationRequestId` - the ID corresponding to the original allocation request.

    - #### getVersion

          public int getVersion()

    - #### setVersion

          public void setVersion(int version)

    - #### getExecutionType

          public org.apache.hadoop.yarn.api.records.ExecutionType getExecutionType()

      Get the `ExecutionType` of the container.
      Returns:
        `ExecutionType` of the container

    - #### setExecutionType

          public void setExecutionType(org.apache.hadoop.yarn.api.records.ExecutionType executionType)

    - #### getAllocationTags

          public Set<String> getAllocationTags()

      Get and set the Allocation tags associated with the container.

    - #### setAllocationTags

          public void setAllocationTags(Set<String> allocationTags)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.